// 将一个数组拆分成多个小数组 len为拆分的每个数组包含多少个元素
export function split_array(arr, len) {
  var a_len = arr.length
  var result = []
  for (var i = 0; i < a_len; i += len) {
    result.push(arr.slice(i, i + len))
  }
  return result
}
// 获取json数组中对象的key=》获取表头
export function get_attr(obj) {
  var keyList = []
  for (var key in obj) {
    if (key.substr(0, 1) !== '_') {
      keyList.push(key)
    }
  }
  return keyList
}
// 获取key为“中文__中文1”的复杂表头
// export function get_attr_complex(arr) {
//   var newArr = []
//   const keyArr = []
//   arr.forEach((element, index) => {
//     newArr.push(element.split('__')[0])
//   })
//   var b = new Set(newArr)
//   var setArr = [...b]
//   var result = {}
//   setArr.forEach((element, index) => {
//     if (!result[element]) {
//       result[element] = []
//     }
//     arr.forEach(item => {
//       if (element === item.split('__')[0]) {
//         result[element].push(item)
//       }
//     })
//   })
//   setArr.forEach(ele => {
//     keyArr.push(result[ele])
//   })
//   return keyArr
// }
// 获取key为“中文__中文1”的复杂表头
export function get_attr_complex(arr) {
  var newArr = new Set()
  const keyArr = []
  arr.forEach((element) => {
    newArr.add(element.split('__')[0])
  })
  newArr.forEach((element) => {
    const data = arr.filter(item => item.split('__')[0] === element)
    keyArr.push(data)
  })
  return keyArr
}
// 对象合并去重
export function joinObj(arr, obj) {
  var arr1 = []
  for (let i = 0; i < arr.length; i++) {
    arr1.push(Object.assign({}, obj, arr[i]))
  }
  return arr1
}
